package org.zeroturnaround.javarebel.integration.servlet.weblogic;


import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import org.zeroturnaround.javarebel.LoggerFactory;

/**
 * JavaRebel filter for handling JSP pages in BEA/Oracle Weblogic 9.
 * 
 * @author Rein Raudjärv
 * 
 * @deprecated JSP updates are handled automatically. No need to use {@link WeblogicJspUpdateFilter} any more.
 * @see ServletStubImplCBP
 */
public class WeblogicJspUpdateFilter implements Filter {

  public void init(FilterConfig config) throws ServletException {
    LoggerFactory.getInstance().log("WeblogicJspUpdateFilter is not required any more. Just remove it from the web.xml.");
  }

  public void doFilter(ServletRequest req, ServletResponse resp, FilterChain chain) throws IOException, ServletException {
    chain.doFilter(req, resp);
  }

  public void destroy() {
  }

}
